Bug 1500450 (CVE-2017-2887)

Summary: CVE-2017-2887 SDL_image: Incorrect XCF property handling
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bdpepple, erik-fedora, gwync, hdegoede, iprikryl, klember, moez.roy, sebastian, thomasj
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:28:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1500451, 1500452, 1500453, 1500454, 1500455    
Bug Blocks:    

Description Andrej Nemec 2017-10-10 15:31:30 UTC
An exploitable buffer overflow vulnerability exists in the XCF property handling functionality of SDL_image 2.0.1. A specially crafted xcf file can cause a stack-based buffer overflow resulting in potential code execution. An attacker can provide a specially crafted XCF file to trigger this vulnerability.

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0394

Comment 1 Andrej Nemec 2017-10-10 15:32:10 UTC
Created SDL_image tracking bugs for this issue:

Affects: epel-6 [bug 1500451]
Affects: epel-7 [bug 1500453]
Affects: fedora-all [bug 1500455]


Created mingw-SDL_image tracking bugs for this issue:

Affects: epel-7 [bug 1500454]
Affects: fedora-all [bug 1500452]

Comment 2 Igor Gnatenko 2017-10-11 07:52:02 UTC
Andrej, these 2 CVEs are for 2 different package.

Comment 3 Andrej Nemec 2017-10-11 08:24:24 UTC
(In reply to Igor Gnatenko from comment #2)
> Andrej, these 2 CVEs are for 2 different package.

Ah, I missed that the second report mentioned SDL, not SDL_image. Thanks for the heads up, will split the bugzilla now.

Comment 4 Product Security DevOps Team 2019-06-08 03:28:53 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.